    /* Css for the UI of AAF */
    @font-face {
        font-family: 'Decalotype';
        src: url('fonts/Decalotype-Regular.woff2') format('woff2');
        font-weight: normal;
        font-style: normal;
        font-display: swap;
    }
    * {
        box-sizing: border-box; 
        }
        .qodef-top-bar {
        position: relative; 
        width: 100%;
        background-color: #e62e0d; 
        color: #fff;
        z-index: 50;
        }
        
        
        .qodef-vertical-align-containers {
        display: flex;
        align-items: center; 
        width: 100%;
        height:65px;
        z-index: 50;
        }
        
        
        .qodef-position-left {
        flex: 1; 
        text-align: left; 
        z-index: 50;
        }
        
        .qodef-position-left-inner {
        margin-right: 20px; 
        z-index: 50;
        }
        
        
        .qodef-position-right {
        flex: 1; 
        display: flex;
        justify-content: flex-end; 
        width: 100%;
        z-index: 50;
        }
        
        .qodef-social-icons-group-widget,
        .qodef-button-widget {
        display: flex;
        align-items: center;
        z-index: 50;
        }
        
        .qodef-social-icon-widget-holder {
        margin-right: 12px; 
        z-index: 50;
        }
        
        .qodef-position-right-inner {
        display: flex;
        align-items: center;
        justify-content: flex-end; 
        width: 100%;
        z-index: 50;
        }
        
        
        .widget.qodef-social-icons-group-widget {
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 50;
        margin-top: -15px;
        }
        .textwidget p {
            font-size: 20px;
            font-family: 'Roboto', sans-serif;
            font-weight: 90; 
            margin-left: 28px;
            margin-top: -5px;
            z-index: 50;
        }
        
        
        .qodef-social-icon-widget-holder {
        margin-right: 25px; 
        color: #FFFFFF; 
        transition: color 0.3s ease;
        z-index: 50;
        }
        
        .fab {
        font-size: 20px; 
        color: white;
        z-index: 50;
        }
        
        .qodef-social-icon-widget-holder:hover .fab {
        color: #ccc; 
        z-index: 50;
        }
        .qodef-social-icons-group-widget .qodef-btn {
        margin-right: 15px; 
        margin-left: -15px; 
        z-index: 50;
        }
        
        
        .qodef-button-widget {
        display: inline-flex;   
        align-items: center;    
        z-index: 50;
        }
        
        .qodef-btn {
        background-color: #e4232a;
        color: #ffffff;
        padding: 10px 20px;
        text-decoration: none;
        border-radius: 25px;
        transition: background-color 0.3s ease, color 0.3s ease;
        margin-left: 20px;
        z-index: 50;
        }
        
        .qodef-btn:hover {
        background-color: #c81e25;
        color: #ffffff;
        z-index: 50;
        }
        
        .qodef-main-menu {
        display: flex; 
        justify-content: flex-end; 
        font-family: 'Decalotype', sans-serif; 
        padding-right: 30px; 
        z-index: 50;
        width: auto;
        }
        
        #menu-main-menu {
        list-style: none; 
        padding: 0; 
        margin: 0; 
        z-index: 50;
        font-family: 'Roboto', sans-serif;
        display: flex; 
        margin-left: auto;
        }
        #menu-main-menu .menu-item a:hover {
            color: #ccc !important; 
        }
        #menu-main-menu li {
        margin-left: 10px;
        margin-right: 10px; 
        z-index: 50;
        font-family: 'Decalotype', sans-serif; 
        }
        
        
        .qodef-main-menu li {
        flex: 1;                    
        text-align: center;     
        z-index: 50;    
        font-family: 'Roboto', sans-serif;
        }
        
        
        .qodef-main-menu a {
        display: block;             
        padding: 10px 10px;          
        text-decoration: none;      
        color: #000000;        
        z-index: 50;        
        font-family: 'Roboto', sans-serif;
        }
        .qodef-main-menu .second {
        position: absolute; 
        display: none; 
        width: 100%; 
        left: 0;
        background-color: #333; 
        z-index: 100;
        font-family: 'Roboto', sans-serif;
        }
        .qodef-menu-container {
        display: flex;  
        justify-content: space-between; 
        align-items: center; 
        background-color: #f0f0f0; 
        padding: 10px 20px;
        width: 100%;
        height:100px;
        z-index: 50;
        }
        
        .qodef-menu-container > * { 
            margin-right: 0px; 
        }
        
        .qodef-dark-logo {
        height: auto;
        max-width: 350px; 
        width: auto; 
        z-index: 50;
        }  
        #menu-main-menu li:last-child {
        margin-right: 10;
        z-index: 50;
        font-family: 'Roboto', sans-serif;
        }
        #menu-main-menu li a span {
        text-transform: uppercase;
        white-space: nowrap; 
        z-index: 50;
        color: #000000; 
        font-weight: bold; 
        font-family: 'Decalotype', sans-serif; 
        }
        .qodef-main-menu, .dropdown-menu {
            list-style: none; 
            margin: 0; 
            padding: 0; 
            font-family: 'Decalotype', sans-serif;  
        }
        .dropdown-menu, .dropdown-menu ul {
            list-style: none; 
            padding: 0; 
        }
        
        .menu-item-has-children .dropdown-menu {
            display: none;
            position: absolute;
            background-color: white; 
            box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
            z-index: 1000;
            width: 300px; 
        }
        
        .menu-item-has-children:hover .dropdown-menu {
            display: block;
        }
        .qodef-main-menu a, .dropdown-menu a { 
            color: black; 
            text-decoration: none; 
            display: block; 
            padding: 10px 20px; 
        }
        .dropdown-menu a {
            font-size: 14px; 
            color: black;
            text-decoration: none;
            display: block;
            padding: 10px 20px; 
        }
        
        .dropdown-menu li a {
            font-size: 14px;  
        }
        .qodef-main-menu a:hover, .dropdown-menu a:hover { 
            color: #808080;
        }
        *, *::before, *::after {
            box-sizing: border-box; 
        }
        @media (max-width: 600px) {
            .qodef-main-menu, #menu-main-menu {
              flex-direction: column;
              align-items: flex-start;
            }
          
            .qodef-btn, .qodef-social-icons-group-widget, .qodef-button-widget {
              font-size: 14px; 
              padding: 8px 16px; 
            }
          
            .qodef-vertical-align-containers {
              height: 50px; 
            }
          }
          
        /* Css for the main webpage */
        body {
            margin:0;
            padding:0;
            font-family: 'Roboto', sans-serif;
        }
        a, a:hover, a:visited {
            color: #0071bc;
            font-size: 0.8em;
        }
        #map {
            top:0;
            height: 100vh;
            width:100vw;
            position: fixed;
        }
        #mapInset {
            bottom:50px;
            right:30px;
            height: 180px;
            width:250px;
            max-width:100%;
            position: fixed;
            z-index: 1;
            opacity: 1;
            transition: opacityChange 0.5s ease-in-out;
            pointer-events: none;
        }
        @keyframes opacityChange {
            0% { opacity: 0.25; }
            100% { opacity: 1; }
        }
        #mapInset .mapboxgl-ctrl-bottom-left{
            display: none;
        }
        @media (max-width: 500px) {
            #mapInset {
                width: 75%;  
                height: 250px;  
                bottom: 10px;
                right: 15px;
            }
        
            .mapboxgl-canvas {
                z-index: 1;  
            }
        }
        #header {
            margin: auto;
            width: 100%;
            position: relative;
            z-index: 5;
            padding-top: 10vh;
            background-image: linear-gradient(to right, rgba(54, 45, 139, 0) -10%, rgba(54, 45, 139, 1) 100%), url("Cover.jpeg");
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            margin-bottom: 20px;
            max-height: 1000px;
            overflow: hidden;
        }        
        
        #header h1 {
            font-family: 'Decalotype', sans-serif; 
            font-weight: 700;
            font-size: 5.4vh;
            z-index: 7;
            color: rgb(255, 255, 255);
            text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
            margin: 0;
            padding: 2vh 2vw;
            padding-top: 10vh;
            text-align: right;
            letter-spacing: 0.1em; 
            text-transform: uppercase; 
            width: 50%;
            position: absolute; 
            left: 43%;
            font-weight: bold; 
        }
        
        #header h2 {
            font-family: 'Decalotype', sans-serif; 
            font-weight: 700;
            font-size: 3vh;
            z-index: 7;
            color: rgb(255, 255, 255);
            text-shadow: 1px 1px 2px rgba(0,0,0,0.4); 
            margin-bottom: 20;
            padding: 2vh 2vw;
            padding-top: 35vh;
            text-align: right;
            letter-spacing:  0.1em; 
            text-transform: uppercase;
            width: 50%;
            transform: translateX(85%);
            font-weight: bold;
        }
        #header h4 {
            font-family: 'Decalotype', sans-serif; 
            font-weight: 700;
            font-size: 3vh;
            z-index: 7;
            color: rgb(255, 255, 255);
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4); 
            margin-bottom: 50;
            padding: 2vh 2vw;
            padding-bottom: 60vh;
            text-align: right;
            letter-spacing: 0.05em; 
            text-transform: uppercase;
            width: 50%;
            transform: translateX(85%);
            font-weight: bold;
        }

@media (max-width: 1700px) {
    #header h1 { 
        font-size: 4.75vh;  
    }

    #header h2 {
        font-size: 2.8h; 
    }

    #header h4 {
        font-size:2.5vh; 
    }
}

@media (max-width: 1400px) {
    #header h1 { 
        font-size: 4.22vh;  
    }

    #header h2 {
        font-size: 2.5h; 
    }

    #header h4 {
        font-size:2.2vh; 
    }
}
@media (max-width: 1200px) {
    #header h1 { 
        font-size: 3.85vh;  
    }

    #header h2 {
        font-size: 2.5h; 
    }

    #header h4 {
        font-size:2.2vh; 
    }
}
@media (max-width: 830px) {
    #header h1 { 
        font-size: 2.9vh;  
    }

    #header h2 {
        font-size: 1.8vh;  
    }

    #header h4 {
        font-size:1.5vh;  
    }
}
@media (max-width: 545px) {
    #header h1 { 
        font-size: 2.45vh;  
    }

    #header h2 {
        font-size: 1.3vh;  
    }

    #header h4 {
        font-size:1.1vh;  
    }
}
@media (max-width: 400px) {
    #header h1 { 
        font-size: 1.9vh;  
    }

    #header h2 {
        font-size: 1.1vh;  
    }

    #header h4 {
        font-size:1.1vh;  
    }
}

        #footer {
            font-family: 'Roboto', sans-serif; 
            width: 100%;
            min-height: 5vh;
            padding-top: 2vh;
            padding-bottom: 2vh;
            text-align: center;
            line-height: 25px;
            font-size: 14px;
            position: relative;
            z-index: 5;
        }
        #features {
            padding-top: 10vh;
            padding-bottom: 10vh;
        }
        
        .interlude {
            width: 120vw;
            background-color: #f0f0f0; 
        }
        .interlude p{
            font-family: 'Roboto', sans-serif; 
            font-size: 1.2vh;
            text-align: justify;
            margin-left: 10vw;
            margin-right: 10vw;
            background-color: white;
        }
        .chapter-content {
            visibility: visible;
            display: block; 
        }
        
        blockquote {
            font-size: 18px;
            font-family: 'Decalotype', sans-serif; 
            font-weight: bold;
            font-style: italic;
            background-color: #f9f9f9;
            border-left: 5px solid #ccc;
            margin: 1.5em 10px;
            padding: 0.5em 10px;
        }
        
        blockquote span {
            font-family: 'Roboto', sans-serif; 
            font-size: 14px;
            display: block;
            margin-top: 8px;
        }
        
        @media (max-width: 800px) {
            blockquote {
                font-size: 12px; 
                padding: 0.5em 8px; 
            }
            blockquote span {
                font-size: 10px; 
            }
        }
        .caption {
            width: 80%; 
            margin: 0 auto; 
            padding: 10px; 
          }
          
          .caption span {
            font-family: 'Roboto', sans-serif;
            font-size: 12px;
            display: block;
            margin-top: 8px;
          }
        
        video {
            margin-left: 45vw;
            width:32%;
            transform: translate(-50%);
        }
        .hidden {
            visibility: hidden;
        }
        .centered {
            width: 63vw;
            margin: 0 auto;
        }
        @media (max-width: 1400px) { 
            .centered { 
              width: 80%; 
              margin-left: auto; 
              margin-right: auto; 
            } 
          }
          @media (max-width: 900px) { 
            .centered { 
              width: 99%; 
              margin-left: auto; 
              margin-right: auto; 
            } 
          }
        .lefty {
            width: 20vw;
            margin-left: -4vw;
        }
        
        .lefty .light {
            padding: 0; 
        }
        
        .righty {
            width: 33vw;
            margin-left: 62vw;
        }
        @media (max-width: 1200px) {
            .righty {
                width: 85%; 
                margin-left: auto; 
                margin-right: auto; 
            }
        }
        @media (max-width: 800px) {
            .righty {
                width: 90%; 
                margin-left: auto; 
                margin-right: auto; 
            }
        }
        .fully {
            width: 100%;
            margin: auto;
        }
        .light {
            color: #444;
            background-color: #fafafa;  
            opacity: 1; 
                width: 50%; 
                transition: width 0.5s ease-in-out; 
            }
            @media (max-width: 1500px) {
                .light {
                    width: 80%; 
                }
            }
         
            @media (max-width: 1200px) {
                .light {
                    width: 80%; 
                }
            }
        .step {
            padding-top: 70vh; 
            padding-bottom: 70vh; 
            min-height: 100vh; 
            opacity: 0.25;
            transition: opacity 0.5s ease-in-out;
        }
        @media (max-width: 1200px) {
            .step {
                width: 80%;  
            }
        }
                
        @media (max-width: 800px) {
            .step {
                width: 90%; 
            }
        }
        .step.active {
            opacity: 0.9999999;
        }
        
        .step div {
            width: 100%; 
            padding: 20px 30px; 
            line-height: 25px; 
            font-family: 'Roboto', sans-serif;
            font-size: calc(0.8vw + 0.8em);    
            font-size: min(calc(0.8vw + 0.8em), 16px); 
            box-sizing: border-box; 
          }
          @media (max-width: 1400px) {
            .step div {
                    font-size: calc(1vw + 0.8em);
                    font-size: min(calc(0.8vw + 0.8em), 18px); 
              padding: 15px 25px; 
            }
          }  
          @media (max-width: 1400px) {
            .step div {
                    font-size: calc(1vw + 0.8em);
                    font-size: min(calc(0.8vw + 0.8em), 18px); 
              padding: 15px 25px; 
            }
          }  
          @media (max-width: 1200px) {
            .step div {
                    font-size: calc(1vw + 0.8em);
                    font-size: min(calc(0.8vw + 0.8em), 16px); 
              padding: 15px 25px; 
            }
          }  
          @media (max-width: 800px) {
            .step div {
                    font-size: calc(1vw + 0.8em);
                    font-size: min(calc(0.8vw + 0.8em), 10px); 
              padding: 15px 25px; 
            }
        } 
          .step div h3 {
            font-family: 'Roboto', sans-serif; 
            font-size: 3.2vh; 
            text-align: auto; 
            font-weight: bold; 
            
        }

        @media (max-width: 1400px) {
            .step div h3 {
                    font-size: 2.85vh; 
            }
          }  
          @media (max-width: 800px) {
            .step div h3 {
                    font-size: 2.55vh; 
            }
        } 
        @media (max-width: 450px) {
            .step div h3 {
                    font-size: 1.5vh; 
            }
        } 
        .step img {
            width: 100%;
        }
        
      
        .mapboxgl-canvas-container.mapboxgl-touch-zoom-rotate.mapboxgl-touch-drag-pan,
        .mapboxgl-canvas-container.mapboxgl-touch-zoom-rotate.mapboxgl-touch-drag-pan .mapboxgl-canvas {
            touch-action: unset;
        }
        
        .map-container {
            background-color: white; 
            height: 300px; 
            width: 100%;
            margin-top: 20px; 
            z-index: 8;
            position: relative;
        }
        
        .iframe-container {
            display: flex;
          width: 100%;  
          flex-direction: row;
          align-items: center; 
          height: auto; 
          position: relative; 
          padding: 10px; 
          overflow: hidden;  
          justify-content: space-between;
        }
        .iframe-container iframe {
            flex: 1; 
            overflow: hidden;
            width: 100%;
            height: auto;
            border: none; 
            z-index: 10;
            background: white;  
            opacity: 1;  
            border: none; 
            transform: scale(1.0);
        }
     
        @media (max-width: 1400px) {
            .iframe-container iframe {
                width: 80%; 
                height: 450px; 
            }
        }
        @media (max-width: 1200px) {
            .iframe-container iframe {
                width: 80%; 
                height: 450px; 
            }
        }
        @media (max-width: 800px) {
            .iframe-container iframe {
                width: 100%;
                height: auto; 
            }
        }
        @media (max-width: 400px) {
            .iframe-container iframe {
                width: 100%; 
                height: auto; 
                margin: 0 auto; 
            }
        }
        body, html {
            overflow-x: hidden; 
        }
        
        #tocButton {
            position: fixed;
            right: 1px;
            bottom: 25px;
            z-index: 1000;
            width: 200px;
            height: 50px;
            background-color: #f8fafc;
            color: rgba(54, 45, 139, 1); 
            /* font-weight: bold;  */
            font-weight: 900; 
        }
        
        #toc {
            display: none;
            position: fixed;
            top: 5px;
            right: 1px;
            background-color: #f9f9f9;
            border: 1px solid #ccc;
            max-height: 850px;
            width: 250px;
            overflow-y: auto;
            padding: 15px;
            box-shadow: 0 2px 5px rgba(0,0,0,0.2);
            z-index: 999;
            font-family: 'Roboto', sans-serif;
            color: #333;
            font-size: 14px;
            line-height: 1.6;
            text-align: left;
        }
        
        #toc a {
            color: rgba(54, 45, 139, 1);
            text-decoration: none;
        }
        
        #toc a:hover {
            text-decoration: underline;
        }
        
        #toc ul {
            list-style-type: none; 
            padding: 0; 
            margin: 0; 
        }
        
        #toc li {
            padding: 4px 0; 
        }
        
        
        #toc li:hover {
            background-color: #f0f0f0;
        }
        .fixed-logo {
            position: fixed;
            bottom: -130px;  
            left: -300px; 
            z-index: 1000; 
            scale: 0.155; 
        }
        .legend {
            flex: 1 0 30%; 
            margin-left: 20px; 
        }
        .legend ul {
            padding-left: 0;
        }
        
        .legend li {
            list-style: none;
            margin: 8px 0;
            font-size: 10px; 
        }

@media (max-width: 1200px) {
    .legend {
      flex: 1 0 100%;
      margin-left: 10px;
    }
    

    .legend, .legend h4, .legend ul li {
      font-size: 12px; 
    }
  }
  @media (max-width: 800px) {
    .legend {
      flex: 1 0 100%;
      margin-left: 10px;
    }
    

    .legend, .legend h4, .legend ul li {
      font-size: 10px; 
    }
  }
  @media (max-width:600px) {
    .legend {
      flex: 1 0 100%;
      margin-left: 10px;
    }
    
    .legend, .legend h4, .legend ul li {
      font-size: 8px; 
    }
  }

  @media (max-width:400px) {
    .legend {
      flex: 1 0 100%;
      margin-left: 10px;
    }
    
    .legend, .legend h4, .legend ul li {
      font-size: 9px; 
    }
  }
    @media (max-width: 1400px) {
        #toc {
            top:auto;
            bottom: 50px;
          width: 10%; 
          max-height: 500px; 
          font-size: 12px;
          overflow-y: auto; 
        }
      }
      @media (max-width: 1200px) {
        #toc {
            top:auto;
            bottom: 50px;
          width: 15%; 
          max-height: 500px; 
          font-size: 11px;
          overflow-y: auto; 
        }
      }
  @media (max-width: 800px) {
    #toc {
        top:auto;
        bottom: 50px;
      width: 20%; 
      max-height: 500px; 
      font-size: 10px;
      overflow-y: auto; 
    }
  }
  @media (max-width: 600px) {
    #toc {
        top:auto;
        bottom: 50px;
      width: 25%; 
      max-height: 500px; 
      font-size: 8px;
      overflow-y: auto; 
    }
  }
    
        @media (max-width: 2000px) {
            .label.series.rotate90 {
                transform: none !important;  
            }
        }
    
        @media (max-width: 950px) {
            .label.series.rotate90 {
                transform: none !important;  
            }
        }

        
        